//
//  MINTLEncodingPanelViewController.swift
//  ControlSikenjo
//
//  Created by narita on 2018/12/31.
//  Copyright © 2018 narita. All rights reserved.
//

import Cocoa

class MINTLEncodingPanelViewController: MINTLViewController
{
    // MARK: - class methods
    
    // MARK: - init methods
    
    // MARK: - dealloc
    
    // MARK: - NSCopying, hash, isEqual:
    
    // MARK: - NSCoding methods
    
    // MARK: - restorableState methods
    
    // MARK: - life cycle methods
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        // Do view setup here.
    }

    // MARK: - action methods
    
    @IBAction override func selectAll(_ sender : Any?)
    {
        self.manager?.selectAll(sender)
    }
    
    @objc func canSelectAll(_ sender : Any?) -> Bool
    {
        return true
    }

    @IBAction func clearAll(_ sender : Any?)
    {
        self.manager?.clearAll(sender)
    }
    
    @objc func canClearAll(_ sender : Any?) -> Bool
    {
        return true
    }

    @IBAction func revertToDefault(_ sender : Any?)
    {
        self.manager?.revertToDefault(sender)
    }
    
    @objc func canRevertToDefault(_ sender : Any?) -> Bool
    {
        return true
    }

    @IBAction func writeToUserDefaults(_ sender : Any?)
    {
        self.manager?.writeToUserDefaults()
    }
    
    // MARK: - event handling methods
    
    // MARK: - drawing methods
    
    // MARK: - delegate/datasource methods
    
    // MARK: - accessor methods (in pairs)
    
    @IBOutlet var tableView: NSTableView? = nil
    
    @IBOutlet var arrayController: NSArrayController? = nil
    
    @objc var manager: MINTLEncodingManager?
    {
        return MINTLEncodingManager.sharedInstance()
    }
    // MARK: - Utility methods

    
}
